<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>



<xsl:template match="/">

	<html>

    <head>

      <title>MARC DOC</title>

    </head>

		<body style="font-family: Verdana, Helvetica, Arial, Sans-Serif">

      <table align="center" border="0" cellpadding="4" cellspacing="2">

        <tr>

          <th colspan="2" bgcolor="#5A738C">

            <font color="white" size="+1">

              MARC DOC

            </font>

            <br/>

            <font color="white" size="-2">

              This is a rendering of an XML version of the MARC 21 Manual produced by BookMARC for

              working objectives only. 

              <br/>

              The XML version is strickly for internal development and documentation purposes of 

              BookMARC, Lda. (http://www.bookmarc.pt).

              <br/>

              The official version of the MARC 21 Manual is available from LOC (Library of Congress)

              at http://lcweb.loc.gov/marc/bibliographic.

            </font>   

          </th>

        </tr>

        <tr bgcolor="#5A738C">

          <th colspan="2">

            <font color="white">

              NOTE: This file only contains the fields in the table bellow.

            </font>

          </th>

        </tr>

        <tr bgcolor="#5A738C">

          <td>

            <font color="white">

              TAG

            </font>

          </td>

          <td>

            <font color="white">

              NAME

            </font>

          </td>

        </tr>

        <xsl:for-each select="MARCDOC/FIELD">

          <tr bgcolor="#D9E2EA">

            <td width="5%">

              <a>

                <xsl:attribute name="href">#<xsl:value-of select="@tag"/></xsl:attribute>

                <xsl:value-of select="@tag"/>

              </a>

            </td>

            <td>

              <xsl:value-of select="@name"/>

            </td>

          </tr>

        </xsl:for-each>

      </table>

      <hr size="1"/>

      <xsl:apply-templates select="MARCDOC"/>

    </body>

	</html>

</xsl:template>



<!-- match FIELD Template -->

<xsl:template match="FIELD">

  <table border="1" cellpadding="2" cellspacing="0" width="100%">

    <tr bgcolor="#5A738C">

      <th colspan="2">

        <font color="white">

          <a>

            <xsl:attribute name="name"><xsl:value-of select="@tag"/></xsl:attribute>

            <xsl:value-of select="@tag"/>: <xsl:value-of select="@name"/>

          </a>

        </font>

      </th>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        Mandatory

      </td>

      <td>

        <xsl:call-template name="expandBoolean">

          <xsl:with-param name="value" select="@mandatory"/>

        </xsl:call-template>

      </td>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        Repeatable

      </td>

      <td>

        <xsl:call-template name="expandBoolean">

          <xsl:with-param name="value" select="@repeatable"/>

        </xsl:call-template>

      </td>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        First Indicator

      </td>

      <td>

        <xsl:value-of select="IND1/@name"/>

        <br/>

        <xsl:call-template name="expandIndicator">

          <xsl:with-param name="indicator" select="IND1"/>

        </xsl:call-template>

      </td>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        Second Indicator

      </td>

      <td>

        <xsl:value-of select="IND2/@name"/>

        <br/>

        <xsl:call-template name="expandIndicator">

          <xsl:with-param name="indicator" select="IND2"/>

        </xsl:call-template>

      </td>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        Description

      </td>

      <td>

        <xsl:copy-of select="DESCRIPTION"/>

      </td>

    </tr>

    <xsl:if test="count(APPLYIF) > 0">

      <tr>

        <td colspan="2">

          <xsl:apply-templates select="APPLYIF"/>

        </td>

      </tr>

    </xsl:if>

    <xsl:if test="count(PSUBFIELD) > 0">

      <tr>

        <td colspan="2">

          <xsl:apply-templates select="PSUBFIELD"/>

        </td>

      </tr>

    </xsl:if>

    <xsl:if test="count(SUBFIELD) > 0">

      <tr>

        <td colspan="2">

          <xsl:apply-templates select="SUBFIELD"/>

        </td>

      </tr>

    </xsl:if>

    <xsl:if test="count(EXAMPLES) > 0">

      <tr>

        <td colspan="2">

          <xsl:apply-templates select="EXAMPLES"/>

        </td>

      </tr>

    </xsl:if>

  </table>

  <hr size="1"/>

</xsl:template>

<!-- match FIELD Template End -->



<!-- match APPLYIF Template -->

<xsl:template match="APPLYIF">

  <table border="1" cellpadding="2" cellspacing="0" width="100%">

    <tr bgcolor="#5A738C">

      <th>

        <font color="white">

          When

          <em>

            <xsl:value-of select="@name"/>

          </em>

        </font>

      </th>

    </tr>

    <tr>

      <td>

        <xsl:apply-templates/>

      </td>

    </tr>

  </table>

</xsl:template>

<!-- match APPLYIF Template End -->



<!-- match PSUBFIELD Template -->

<xsl:template match="PSUBFIELD">

  <table border="1" cellpadding="2" cellspacing="0" width="100%">

    <tr bgcolor="#5A738C">

      <th>

        <font color="white">

          From

          <em>

            <xsl:value-of select="@start"/>

          </em>

          to

          <em>

            <xsl:value-of select="@end"/>

          </em>

          : <xsl:value-of select="@name"/>

        </font>

      </th>

    </tr>

    <tr>

      <td>

        <xsl:if test="string-length(DESCRIPTION) > 0">

          <xsl:value-of select="DESCRIPTION"/>

          <br/>

        </xsl:if>



        <xsl:call-template name="expandSeeExample">

          <xsl:with-param name="pNode" select="."/>

        </xsl:call-template>



        <xsl:if test="VOCABULARY">

          <hr size="1"/>

          <xsl:call-template name="expandVocabulary"/>

        </xsl:if>

      </td>

    </tr>

  </table>

</xsl:template>

<!-- match PSUBFIELD Template End -->



<!-- match SUBFIELD Template -->

<xsl:template match="SUBFIELD">

  <table border="1" cellpadding="2" cellspacing="0" width="100%">

    <tr bgcolor="#5A738C">

      <th colspan="2">

        <font color="white">

          <xsl:value-of select="@tag"/>: <xsl:value-of select="@name"/>

        </font>

      </th>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        Mandatory

      </td>

      <td>

        <xsl:call-template name="expandBoolean">

          <xsl:with-param name="value" select="@mandatory"/>

        </xsl:call-template>

      </td>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        Repeatable

      </td>

      <td>

        <xsl:call-template name="expandBoolean">

          <xsl:with-param name="value" select="@repeatable"/>

        </xsl:call-template>

      </td>

    </tr>

    <tr>

      <td bgcolor="#D9E2EA" valign="top" width="15%">

        Descritpion

      </td>

      <td>

        <xsl:if test="string-length(DESCRIPTION) > 0">

          <xsl:value-of select="DESCRIPTION"/>

          <br/>

        </xsl:if>

      

        <xsl:call-template name="expandSeeExample">

          <xsl:with-param name="pNode" select="."/>

        </xsl:call-template>  

      

        <xsl:if test="VOCABULARY">

          <hr size="1"/>

          <xsl:call-template name="expandVocabulary"/>

        </xsl:if>

      </td>

    </tr>

    <xsl:if test="count(APPLYIF) > 0">

      <tr>

        <td colspan="2">

          <xsl:apply-templates select="APPLYIF"/>

        </td>

      </tr>

    </xsl:if>

    <xsl:if test="count(PSUBFIELD) > 0">

      <tr>

        <td colspan="2">

          <xsl:apply-templates select="PSUBFIELD"/>

        </td>

      </tr>

    </xsl:if>

  </table>

</xsl:template>

<!-- match SUBFIELD Template End -->



<!-- match EXAMPLES Template -->

<xsl:template match="EXAMPLES">

  <table border="1" cellpadding="2" cellspacing="0" width="100%">

    <tr bgcolor="#5A738C">

      <th colspan="2">

        <font color="white">

          Examples

        </font>

      </th>

    </tr>

    <xsl:for-each select="EX">

      <tr>

        <td bgcolor="#D9E2EA" valign="top" width="15%">

          <a>

            <xsl:attribute name="name">

              <xsl:value-of select="ancestor-or-self::FIELD/@tag"/>_ex_<xsl:value-of select="@n"/>

            </xsl:attribute>

            <xsl:value-of select="@n"/>

          </a>

        </td>

        <td>

          <xsl:value-of select="."/>

        </td>

      </tr>

    </xsl:for-each>

  </table>

</xsl:template>

<!-- match EXAMPLES Template End -->



<!-- expandVocabulary Template -->

<xsl:template name="expandVocabulary">

  <table border="1" cellpadding="2" cellspacing="0" width="100%">

    <tr bgcolor="#5A738C">

      <th colspan="2">

        <font color="white">

          Vocabulary

        </font>

      </th>

    </tr>

    <xsl:for-each select="VOCABULARY/ITEM">

      <tr>

        <td bgcolor="#D9E2EA" valign="top" width="15%">

          <xsl:if test="@code = ' '">#</xsl:if>

          <xsl:if test="@code = '  '">##</xsl:if>

          <xsl:if test="@code = '   '">###</xsl:if>

          <xsl:if test="@code = '    '">####</xsl:if>

          <xsl:value-of select="@code"/>

        </td>

        <td>

          <xsl:value-of select="@name"/>

          <br/>

          <xsl:if test="string-length(DESCRIPTION) > 0">

            <em>

              <xsl:value-of select="DESCRIPTION"/>

            </em>

            <br/>

          </xsl:if>



          <xsl:call-template name="expandSeeExample">

            <xsl:with-param name="pNode" select="."/>

          </xsl:call-template>

        </td>

      </tr>

    </xsl:for-each>

  </table>

</xsl:template>

<!-- expandVocabulary Template End -->



<!-- expandIndicator Template -->

<xsl:template name="expandIndicator">

  <xsl:param name="indicator"/>



  <xsl:if test="string-length($indicator/DESCRIPTION) > 0">

    <em>

      <xsl:value-of select="$indicator/DESCRIPTION"/>

    </em>

    <br/>

  </xsl:if>



  <xsl:call-template name="expandSeeExample">

    <xsl:with-param name="pNode" select="$indicator"/>

  </xsl:call-template>



  <xsl:if test="count($indicator/OPTION) > 0">

    <hr size="1"/>

    <table border="1" cellpadding="2" cellspacing="0" width="100%">

      <tr bgcolor="#5A738C">

        <th colspan="2">

          <font color="white">

            Vocabulary

          </font>

        </th>

      </tr>

      <xsl:for-each select="$indicator/OPTION">

        <tr>

          <td bgcolor="#D9E2EA" valign="top" width="15%">

            <xsl:if test="@value = ' '">#</xsl:if>

            <xsl:value-of select="@value"/>

          </td>

          <td>

            <xsl:value-of select="@name"/>

            <br/>

            <xsl:if test="string-length(DESCRIPTION) > 0">

              <em>

                <xsl:value-of select="DESCRIPTION"/>

              </em>

              <br/>

            </xsl:if>



            <xsl:call-template name="expandSeeExample">

              <xsl:with-param name="pNode" select="."/>

            </xsl:call-template>

          </td>

        </tr>

      </xsl:for-each>

    </table>

  </xsl:if>

</xsl:template>

<!-- expandIndicator Template End -->



<!-- expandSeeExample Template -->

<xsl:template name="expandSeeExample">

  <xsl:param name="pNode"/>

  

  <xsl:if test="count($pNode/SEEEX) > 0">

    <b>

    See examples:

    </b>

    <em>

      <xsl:for-each select="$pNode/SEEEX">

        <a>

          <xsl:attribute name="href">

            #<xsl:value-of select="ancestor-or-self::FIELD/@tag"/>_ex_<xsl:value-of select="@N"/>

          </xsl:attribute>

          <xsl:value-of select="@N"/>

        </a>

        <xsl:value-of select="' '"/>

      </xsl:for-each>

    </em>

  </xsl:if>

</xsl:template>

<!-- expandSeeExample Template End -->



<!-- expandBoolean Template -->

<xsl:template name="expandBoolean">

  <xsl:param name="value" select="n"/>



  <xsl:choose>

    <xsl:when test="$value = 'y' or $value = 'Y'">Yes</xsl:when>

    <xsl:otherwise>No</xsl:otherwise>

  </xsl:choose>

</xsl:template>

<!-- expandBoolean Template End-->



</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2002 eXcelon Corp.

<metaInformation>

<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="MARC21DOC.xml" htmlbaseurl="" outputurl="" processortype="internal" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperInfo srcSchemaPath="" srcSchemaRoot="" srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>

</metaInformation>

-->